<?xml version="1.0" encoding="utf-8"?>
<configuration>

  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net"/>
    <sectionGroup name="estat.sri">
      <section name="mapping.store" type="Estat.Sri.MappingStoreRetrieval.Config.MappingStoreConfigSection, Estat.Sri.Utils"/>
    </sectionGroup>
  </configSections>
  <connectionStrings>
    <add name="sqlserver" connectionString="Data Source=sqlserverhost;Initial Catalog=MASTORE;User Id=mauser;Password=123" providerName="System.Data.SqlClient"/>
    <add name="sqlserver_scratch" connectionString="Data Source=sqlserverhost;Initial Catalog=MSDB_SCRATCH;User Id=mauser;Password=123" providerName="System.Data.SqlClient"/>
    <add name="odp" connectionString="Data Source=oraclehost/XEPDB1;User ID=MASTORE;Password=123" providerName="Oracle.ManagedDataAccess.Client"/>
    <add name="mysql" connectionString="server=mariadbhost;user id=mauser;password=123;database=mastore" providerName="MySql.Data.MySqlClient"/>
  </connectionStrings>
  <appSettings>
    <add key="RetrieverFactory" value="MappingStoreRetrieversFactory"/>
  </appSettings>
  <!--<system.data>
    <DbProviderFactories>
   --><!--
      <add name="Pc Axis Provider" invariant="org.estat.PcAxis.PcAxisProvider" description=".Net Framework Data Provider for Pc-Axis"
          type="Org.Estat.PcAxis.PcAxisProvider.PcAxisFactory, PcAxis, Version=1.0.1.0, Culture=neutral, PublicKeyToken=null"/>
          --><!--
      <remove invariant="MySql.Data.MySqlClient"/>
      <add name="MySQL Data Provider" invariant="MySql.Data.MySqlClient"
            description=".Net Framework Data Provider for MySQL"
            type="MySql.Data.MySqlClient.MySqlClientFactory, MySql.Data, Version=6.9.9.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d"/>
      <remove invariant="Oracle.ManagedDataAccess.Client"/>
      <add name="ODP.NET, Managed Driver" invariant="Oracle.ManagedDataAccess.Client" description="Oracle Data Provider for .NET, Managed Driver"
          type="Oracle.ManagedDataAccess.Client.OracleClientFactory, Oracle.ManagedDataAccess, Version=4.122.1.0, Culture=neutral, PublicKeyToken=89b483f429c47342"/>
    </DbProviderFactories>
  </system.data>-->
  <log4net debug="false">
    <appender name="console" type="log4net.Appender.ConsoleAppender, log4net">
      <layout type="log4net.Layout.PatternLayout, log4net">
        <param name="ConversionPattern" value="%date %-5level %logger - %message%newline"/>
      </layout>
    </appender>
    <appender name="FileAppender" type="log4net.Appender.RollingFileAppender">
      <rollingStyle value="Date"/>
      <datePattern value="yyyyMMdd"/>
      <file value="log-file.txt"/>
      <appendToFile value="true"/>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date{ISO8601}  %-5level %logger - %message%newline"/>
      </layout>
    </appender>
    <appender name="ConsoleAppender" type="log4net.Appender.ConsoleAppender">
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level %logger [%ndc] - %message%newline"/>
      </layout>
    </appender>
    <root>
      <level value="DEBUG"/>
      <appender-ref ref="FileAppender"/>
      <level value="WARN"/>
      <appender-ref ref="ConsoleAppender"/>
    </root>

  </log4net>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5"/>
  </startup>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <publisherPolicy apply="no"/>
        <assemblyIdentity name="Oracle.ManagedDataAccess" publicKeyToken="89b483f429c47342" culture="neutral"/>
        <bindingRedirect oldVersion="4.121.0.0 - 4.65535.65535.65535" newVersion="4.122.1.0"/>
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <estat.sri>
    <mapping.store>
      <DatabaseSettings>
        <clear />
        <add provider="System.Data.SqlClient" subStringCmd="SUBSTRING" subStringNeedsLength="true" parameterMarkerFormat="@{0}" castToStringFormat="CAST({0} AS VARCHAR)" subQueryOrderByAllowed="false" />
        <add provider="Oracle.ManagedDataAccess.Client" parameterMarkerFormat=":{0}" dateCast="DATE" />
        <!-- Please note that System.Data.OracleClient is obsolete and no longer maintained by Microsoft. -->
        <add provider="System.Data.OracleClient" parameterMarkerFormat=":{0}" dateCast="DATE" />
        <add provider="MySql.Data.MySqlClient" parameterMarkerFormat="@{0}" dateCast="DATE" />
        <!-- DDB only providers -->
        <add provider="Org.Estat.PcAxis.PcAxisProvider" parameterMarkerFormat="@{0}" />
        <!-- ODBC options depend on the ODBC driver used. -->
        <add provider="System.Data.Odbc" parameterMarkerFormat="?" subStringCmd="SUBSTRING" subStringNeedsLength="true" castToStringFormat="CAST({0} AS VARCHAR)" subQueryOrderByAllowed="false" />
      </DatabaseSettings>
      <ddbSettings>
        <clear />
        <add name="SqlServer" provider="System.Data.SqlClient" factoryClass="" dllName="" />
        <add name="Oracle" provider="Oracle.ManagedDataAccess.Client" factoryClass="Oracle.ManagedDataAccess.Client.OracleClientFactory" dllName="Oracle.ManagedDataAccess" />
        <add name="PCAxis" provider="org.estat.PcAxis.PcAxisProvider" factoryClass="Org.Estat.PcAxis.PcAxisProvider" dllName="PcAxis" />
        <add name="MySQL" provider="MySql.Data.MySqlClient" factoryClass="MySql.Data.MySqlClient.MySqlClientFactory" dllName="MySql.Data" />
        <add name="Odbc" provider="System.Data.Odbc" factoryClass="System.Data.Odbc.OdbcFactory" dllName="System.Data.Odbc" />
      </ddbSettings>
    </mapping.store>
  </estat.sri>
</configuration>
